# docker scout

```
docker scout COMMAND
```

<!---MARKER_GEN_START-->
Command line tool for Docker Scout

### Subcommands

| Name                                          | Description                                                                                 |
|:----------------------------------------------|:--------------------------------------------------------------------------------------------|
| [`cache`](scout_cache.md)                     | Manage Docker Scout cache and temporary files                                               |
| [`compare`](scout_compare.md)                 | Compare two images and display differences (experimental)                                   |
| [`config`](scout_config.md)                   | Manage Docker Scout configuration                                                           |
| [`cves`](scout_cves.md)                       | Display CVEs identified in a software artifact                                              |
| [`enroll`](scout_enroll.md)                   | Enroll an organization with Docker Scout                                                    |
| [`environment`](scout_environment.md)         | Manage environments (experimental)                                                          |
| [`help`](scout_help.md)                       | Display information about the available commands                                            |
| [`integration`](scout_integration.md)         | Commands to list, configure, and delete Docker Scout integrations                           |
| [`policy`](scout_policy.md)                   | Evaluate policies against an image and display the policy evaluation results (experimental) |
| [`push`](scout_push.md)                       | Push an image or image index to Docker Scout (experimental)                                 |
| [`quickview`](scout_quickview.md)             | Quick overview of an image                                                                  |
| [`recommendations`](scout_recommendations.md) | Display available base image updates and remediation recommendations                        |
| [`repo`](scout_repo.md)                       | Commands to list, enable, and disable Docker Scout on repositories                          |
| [`sbom`](scout_sbom.md)                       | Generate or display SBOM of an image                                                        |
| [`stream`](scout_stream.md)                   | Manage streams (experimental)                                                               |
| [`version`](scout_version.md)                 | Show Docker Scout version information                                                       |
| [`watch`](scout_watch.md)                     | Watch repositories in a registry and push images and indexes to Docker Scout (experimental) |



<!---MARKER_GEN_END-->

