---
title: Add or update a payment method
description: Learn how to add or update a payment method in Docker Hub
keywords: payments, billing, subscription
---

This page describes how to add or update a payment method for your personal account or for an organization. 

You can add a payment method or update your account's existing payment method at any time.

>**Important**
>
> If you want to remove all payment methods, you must first downgrade your subscription to a free plan. See [Downgrade](../subscription/downgrade.md), for more information. 

## Personal account

1. Select your username in the top-right corner of Docker Hub.
2. From the drop-down menu select **Billing**.
3. Select the **Payment methods and billing history** link.
4. In the **Payment Method** section, select **Add payment method**.
5. Enter your new payment information, then select **Add**.
6. Select the **Actions** icon, then select **Make default** to ensure that your new payment method applies to all purchases and subscriptions.
7. Optional. You can remove non-default payment methods by selecting the **Actions** icon. Then, select **Delete**.

## Organization 

> **Note**
>
> You must be an organization owner to make changes to the payment information.

1. Select your username in the top-right corner of Docker Hub.
2. From the drop-down menu select **Billing**. 
3. Select the organization account you want to update.
4. Select the **Payment methods and billing history** link.
5. In the **Payment Method** section, select **Add payment method**.
6. Enter your new payment information, then select **Add**.
7. Select the **Actions** icon, then select **Make default** to ensure that your new payment method applies to all purchases and subscriptions.
8. Optional. You can remove non-default payment methods by selecting the **Actions** icon. Then, select **Delete**.
