---
title: Docker Scout billing
description: Learn how to buy Docker Scout and manage your subscription
keywords: payments, billing, subscription, scout
---

Docker Scout lets users secure their software supply chain and continuously observe and improve their security posture. Docker Scout is free for up to 3 repositories. You can buy Docker Scout Team or Docker Scout Business to turn on Docker Scout for additional repositories. See [Docker Scout subscription and features](../subscription/scout-details.md) to select the plan that works for you.

In this section, learn how to buy Docker Scout Team in Docker Hub for your personal account or for an organization. To buy Docker Scout Business, [contact sales](https://www.docker.com/products/docker-scout/).

## Personal account

1. Select your username in the top-right corner of Docker Hub.
2. From the drop-down menu select **Billing**.
3. In the **Plan** section, navigate to the **Docker Scout** plan section. The default plan is **Docker Scout Free**. 
4. Next to the plan name, select **Buy now**.
5. From the **Purchase Scout Team** drop-down menu, under **Your Account**, select the name of your personal account.
6. This redirects you to the payment processing page. Enter your email if this field isn't pre-populated. Then, enter your payment information.
7. Update the quantity of repositories you want to use with Docker Scout. See [Docker Scout subscriptions](../subscription/scout-details.md) to learn more about the number of repositories available for each plan.
8. Select annual or monthly billing.
9. Select **Subscribe**.
10. Subscribing redirects you back to the billing page in Docker Hub, where you can find your active Docker Scout plan.

Once your purchase is complete, you receive a confirmation email and a copy of your invoice. 

## Organization

1. In Docker Hub, select **Organizations**. 
2. Select the organization namespace. 
3. Select the **Billing** tab.
4. In the **Plan** section, navigate to the **Docker Scout** plan section. The default plan is **Docker Scout Free**. 
5. Next to the plan name, select **Buy now**.
6. From the **Purchase Scout Team** drop-down menu, select the name of your organization.

    >**Note**
    >
    > If you're an organization with multiple teams, a Docker Scout Business plan may be better. [Contact sales](https://www.docker.com/products/docker-scout/) to learn more.

7. This redirects you to the payment processing page. Enter your email if this field isn't pre-populated. Then, enter your payment information.
8. Update the quantity of repositories you want to use with Docker Scout. See [Docker Scout subscriptions](../subscription/scout-details.md) to learn more about the number of repositories available for each plan.
9. Select annual or monthly billing.
10. Select **Subscribe**.
11. Subscribing redirects you back to the billing page in Docker Hub, where you can find your active Docker Scout plan.

Once your purchase is complete, you receive a confirmation email and a copy of your invoice.

## Manage your subscription

To access your subscription details, go to the **Billing** section for your personal account or organization that's subscribed. Select **Payment methods and billing history** to go to the billing details portal. In the billing details portal, you can find your renewal date, invoice history, and payment methods.

Renewals charge to the original credit card used to buy Docker Scout Team. You can manage your payment methods in the billing details portal.

### Update number of repositories for your subscription

You can add or remove the number of repositories associated with your subscription.

To add repositories:

1. In Docker Hub, select **Organizations**.
2. Select the organization namespace.
3. Select the **Billing** tab to find your active Docker Scout plan.
4. Select **Add repositories**.
5. Enter the number of repositories you want to add, then select **Purchase**.

This purchase charges your default payment method.

To remove repositories:

1. In Docker Hub, select **Organizations**.
2. Select the organization namespace.
3. Select the **Billing** tab to find your active Docker Scout plan.
4. Select **Remove repositories**.
5. Enter the number of repositories you want to remove, then select **Remove**.

The number of repositories updates on your next billing cycle.

> **Note**
>
> You can't add repositories while repository removal is pending. You can add repositories again during the next billing cycle.

### Downgrade your subscription

You can downgrade your Docker Scout Team subscription at anytime before the renewal date. Your subscription features remain available until the end of your billing cycle.

1. In Docker Hub, select your username in the top-right corner and from the drop-down menu select **Billing**.
2. Select the namespace of either your personal account or organization.
3. Find your Docker Scout plan, then select **Change plan**.
4. Select **Downgrade**, then review the warning message.
5. To confirm the downgrade, select **Continue**.

### Cancel your subscription downgrade

You can cancel a subscription downgrade at anytime before the end of the billing cycle. You can find this date in the details for your current plan.

1. In Docker Hub, select your username in the top-right corner and from the drop-down menu select **Billing**.
2. Select the namespace of either your personal account or organization.
3. Find your Docker Scout plan, then select **Cancel the downgrade**.
