---
description: Extensions
keywords: Docker Extensions, Docker Desktop, Linux, Mac, Windows
title: What are Docker Extensions?
toc_min: 1
toc_max: 2
---

Docker Extensions let you use third-party tools within Docker Desktop to extend its functionality.

You can seamlessly connect your favorite development tools to your application development and deployment workflows. Augment Docker Desktop with debugging, testing, security, and networking functionalities, and create custom add-ons using the Extensions [SDK](../extensions-sdk/index.md).

Anyone can use Docker Extensions and there is no limit to the number of extensions you can install.

![Extensions Marketplace](/assets/images/extensions4.25.webp)

## What extensions are available?

There is a mix of partner and community-built extensions and Docker-built extensions.
You can explore the list of available extensions in [Docker Hub](https://hub.docker.com/search?q=&type=extension) or in the Extensions Marketplace within Docker Desktop.

To find out more about Docker Extensions, we recommend the video walkthrough from DockerCon 2022:

<iframe width="750" height="315" src="https://www.youtube.com/embed/3rAGXS8pszQ" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## Prerequisites

Docker Extensions are available as part of Docker Desktop 4.8.0 and later releases. [Download and install Docker Desktop 4.8.0 or later](../release-notes.md).