---
description: Extensions
keywords: Docker Extensions, Docker Desktop, Linux, Mac, Windows, Marketplace
title: Marketplace extensions
---

There are two types of extensions available in the Extensions Marketplace:
- Docker-reviewed extensions
- Self-published extensions

Docker-reviewed extensions are manually reviewed by the Docker Extensions team to ensure an extra level of trust
and quality. They appear as **Reviewed** in the Marketplace.

Self-published extensions are autonomously published by extension developers. They appear as **Not reviewed** in the Marketplace.

## Install an extension

> **Note**
>
> For some extensions, a separate account needs to be created before use.

To install an extension:

1. Open Docker Desktop.
2. From the Dashboard, select **Add Extensions** in the menu bar.
   The Extensions Marketplace opens on the **Browse** tab.
3. Browse the available extensions.
   You can sort the list of extensions by **Recently added**, **Most installed**, or alphabetically. Alternatively, use the **Content** or **Categories** drop-down menu to search for extensions by whether they have been reviewed or not, or by category.
4. Choose you extension and select **Install**.

From here, you can select **Open** to access the extension or install additional extensions. The extension also appears in the left-hand menu and in the **Manage** tab.

## Update an extension

You can update any extension outside of Docker Desktop releases. To update an extension to the latest version:

1. Navigate to Docker Dashboard, and from the menu bar select the ellipsis to the right of **Extensions**.
2. Select **Manage**.
   The **Manage** tab displays with all your installed extensions. If an extension has a new version available, it displays an **Update** button.
3. Select **Update**.

## Uninstall an extension

You can uninstall an extension at any time.

> **Note**
>
> Any data used by the extension that's stored in a volume must be manually deleted.

1. From the menu bar, select the ellipsis to the right of **Extensions**.
2. Select **Manage**. This displays a list of extensions you've installed.
3. Select **Uninstall**.