---
description: Download and install Docker on the platform of your choice, including
  Mac, Linux, or Windows.
keywords: install docker, docker download, download docker, docker installation, how
  to install docker, get docker, docker locally
title: Get Docker
aliases:
- /install/
- /install/overview/
- /installation/
---

Docker is an open platform for developing, shipping, and running applications.

Docker allows you to separate your applications from your infrastructure so you
can deliver software quickly. With Docker, you can manage your infrastructure in
the same ways you manage your applications. 

By taking advantage of Docker’s
methodologies for shipping, testing, and deploying code quickly, you can
significantly reduce the delay between writing code and running it in production.

You can download and install Docker on multiple platforms. Refer to the following
section and choose the best installation path for you.

{{< card
  title="Docker Desktop for Mac"
  description="A native application using the macOS sandbox security model that delivers all Docker tools to your Mac."
  link="/desktop/install/mac-install/"
  image="/assets/images/apple_48.svg" >}}

<br>

{{< card
  title="Docker Desktop for Windows"
  description="A native Windows application that delivers all Docker tools to your Windows computer."
  link="/desktop/install/windows-install/"
  image="/assets/images/windows_48.svg" >}}

<br>

{{< card
  title="Docker Desktop for Linux"
  description="A native Linux application that delivers all Docker tools to your Linux computer."
  link="/desktop/install/linux-install/"
  image="/assets/images/linux_48.svg" >}}

> **Note**
>
> If you're looking for information on how to install Docker Engine, see [Docker Engine installation overview](/engine/install/).
