---
title: Walkthroughs overview
keywords: get started, quick start, intro, concepts
description: Learn how to build, share, and run applications faster with Docker's 5-minute hands-on walkthroughs
grid:
  - title: "What is a container?"
    description: Explore a running container in Docker Desktop
    link: "/guides/walkthroughs/what-is-a-container/"
  - title: "How do I run a container?"
    description: Learn how to build an image and run it as a container
    link: "/guides/walkthroughs/run-a-container/"
  - title: "Run Docker Hub images"
    description: Access over 100,000 images in Docker Hub and learn how to run them as a container
    link: "/guides/walkthroughs/run-hub-images/"
  - title: "Run multi-container applications"
    description: Use Docker Compose to run multi-container applications
    link: "/guides/walkthroughs/multi-container-apps/"
  - title: "Persist data between containers"
    description: Persist and share data among containers using a named volume
    link: "/guides/walkthroughs/persist-data/"
  - title: "Access a local folder"
    description: Share and access a local folder from a container with a bind mount
    link: "/guides/walkthroughs/access-local-folder/"
  - title: "Containerize your application"
    description: Find out how to containerize your own apps with a single command
    link: "/guides/walkthroughs/containerize-your-app/"
  - title: "Publish your image"
    description: Publish and share you images on Docker Hub
    link: "/guides/walkthroughs/publish-your-image/"
aliases:
- /get-started/hands-on-overview/
---

Get introduced to Docker Desktop in these 5-minute hands-on guides.

{{< grid >}}