---
title: Java language-specific guide
keywords: java, getting started
description: Containerize Java apps using Docker
toc_min: 1
toc_max: 2
---

The Java getting started guide teaches you how to create a containerized Spring Boot application using Docker. In this module, you’ll learn how to:

* Clone and run a Spring Boot application with Maven
* Create a new Dockerfile which contains instructions required to build a Java image
* Run the newly built image as a container
* Set up a local development environment to connect a database to the container
* Use Docker Compose to run the Spring Boot application
* Configure a CI/CD pipeline for your application using GitHub Actions
* Deploy your containerized application locally to Kubernetes to test and debug your deployment

After completing the Java getting started modules, you should be able to containerize your own Java application based on the examples and instructions provided in this guide.

Get started building your first Java image.

{{< button text="Build your first Java image" url="build-images.md" >}}