---
description: Containerize Python apps using Docker
keywords: Docker, getting started, Python, language
title: Python language-specific guide
toc_min: 1
toc_max: 2
---

The Python language-specific guide teaches you how to containerize a Python application using Docker. In this guide, you’ll learn how to:

* Containerize and run a Python application
* Set up a local environment to develop a Python application using containers
* Configure a CI/CD pipeline for a containerized Python application using GitHub Actions
* Deploy your containerized Python application locally to Kubernetes to test and debug your deployment

Start by containerizing an existing Python application.

{{< button text="Containerize a Python app" url="containerize.md" >}}
