---
description: Learn how to downgrade your Docker subscription
keywords: Docker Hub, downgrade, subscription, Pro, Team, Free, pricing plan,
title: Downgrade your subscription
aliases:
- /docker-hub/cancel-downgrade/
- /docker-hub/billing/downgrade/
---

You can downgrade your Docker subscription at anytime before the renewal date. The unused portion of the subscription isn't refundable or creditable.

When you downgrade your subscription, access to paid features is available until the next billing cycle. The downgrade takes effect on the next billing cycle.

Before you downgrade to a free subscription, you may need to reduce the number of team members and convert any private repositories to public repositories or delete them. For information, see [Docker Pricing](https://www.docker.com/pricing).

## Downgrade your Docker subscription

>**Important**
>
>If you have a [sales-assisted Docker Business subscription](details.md#sales-assisted), contact your account manager to downgrade your subscription. 
{ .important }

1. Sign in to your [Docker Hub](https://hub.docker.com) account.

2. Select your username in the top-right corner and from the drop-down menu select **Billing**.

3. Choose either your personal account or an organization to downgrade. 

4. In the **Plan** section, select **Change plan**.

5. On the **Change Plan** page, select the plan you'd like to downgrade to. 

6. Review the downgrade warning and select **Continue**.

7. Optional: Select a reason for your downgrade from the list and select **Send**.
    The **Billing** page displays a confirmation of the downgrade with details on when the downgrade changes take effect.

If you want to cancel the downgrade, select **Cancel the downgrade** on the **Plan** tab.